diff --git a/gcc/varasm.c b/gcc/varasm.c
index 295c27d..5e1db40 100644
--- a/gcc/varasm.c
+++ b/gcc/varasm.c
@@ -340,7 +340,7 @@ get_section (const char *name, unsigned int flags, tree decl)
 static bool
 use_object_blocks_p (void)
 {
-  return flag_section_anchors;
+  return GCC_OPTION (flag_section_anchors);
 }
 
 /* Return the object_block structure for section SECT.  Create a new
@@ -545,7 +545,7 @@ default_function_section (tree decl, enum node_frequency freq,
     return NULL;
 #endif
 
-  if (!flag_reorder_functions
+  if (!GCC_OPTION (flag_reorder_functions)
       || !targetm_common.have_named_sections)
     return NULL;
   /* Startup code should go to startup subsection unless it is
@@ -555,7 +555,7 @@ default_function_section (tree decl, enum node_frequency freq,
   {
     /* If we do have a profile or(and) LTO phase is executed, we do not need
        these ELF section.  */
-    if (!in_lto_p || !flag_profile_values)
+    if (!GCC_OPTION (in_lto_p) || !GCC_OPTION (flag_profile_values))
       return get_named_text_section (decl, ".text.startup", NULL);
     else
       return NULL;
@@ -573,7 +573,7 @@ default_function_section (tree decl, enum node_frequency freq,
       case NODE_FREQUENCY_HOT:
         /* If we do have a profile or(and) LTO phase is executed, we do not need
            these ELF section.  */
-        if (!in_lto_p || !flag_profile_values)
+        if (!GCC_OPTION (in_lto_p) || !GCC_OPTION (flag_profile_values))
           return get_named_text_section (decl, ".text.hot", NULL);
       default:
 	return NULL;
@@ -715,7 +715,7 @@ default_function_rodata_section (tree decl)
 	  return get_section (rname, SECTION_LINKONCE, decl);
 	}
       /* For .text.foo we want to use .rodata.foo.  */
-      else if (flag_function_sections && flag_data_sections
+      else if (GCC_OPTION (flag_function_sections) && GCC_OPTION (flag_data_sections)
 	       && strncmp (name, ".text.", 6) == 0)
 	{
 	  size_t len = strlen (name) + 1;
@@ -749,7 +749,7 @@ mergeable_string_section (tree decl ATTRIBUTE_UNUSED,
 {
   HOST_WIDE_INT len;
 
-  if (HAVE_GAS_SHF_MERGE && flag_merge_constants
+  if (HAVE_GAS_SHF_MERGE && GCC_OPTION (flag_merge_constants)
       && TREE_CODE (decl) == STRING_CST
       && TREE_CODE (TREE_TYPE (decl)) == ARRAY_TYPE
       && align <= 256
@@ -806,7 +806,7 @@ mergeable_constant_section (enum machine_mode mode ATTRIBUTE_UNUSED,
 {
   unsigned int modesize = GET_MODE_BITSIZE (mode);
 
-  if (HAVE_GAS_SHF_MERGE && flag_merge_constants
+  if (HAVE_GAS_SHF_MERGE && GCC_OPTION (flag_merge_constants)
       && mode != VOIDmode
       && mode != BLKmode
       && modesize <= align
@@ -948,7 +948,7 @@ bss_initializer_p (const_tree decl)
 {
   return (DECL_INITIAL (decl) == NULL
 	  || DECL_INITIAL (decl) == error_mark_node
-	  || (flag_zero_initialized_in_bss
+	  || (GCC_OPTION (flag_zero_initialized_in_bss)
 	      /* Leave constant zeroes in .rodata so they
 		 can be shared.  */
 	      && !TREE_READONLY (decl)
@@ -1106,7 +1106,7 @@ get_variable_section (tree decl, bool prefer_noswitch_p)
   else
     reloc = 0;
 
-  resolve_unique_section (decl, reloc, flag_data_sections);
+  resolve_unique_section (decl, reloc, GCC_OPTION (flag_data_sections));
   if (IN_NAMED_SECTION (decl))
     return get_named_section (decl, NULL, reloc);
 
@@ -1116,7 +1116,7 @@ get_variable_section (tree decl, bool prefer_noswitch_p)
       && bss_initializer_p (decl))
     {
       if (!TREE_PUBLIC (decl)
-	  && !((flag_sanitize & SANITIZE_ADDRESS)
+	  && !((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 	       && asan_protect_global (decl)))
 	return lcomm_section;
       if (bss_noswitch_section)
@@ -1417,15 +1417,15 @@ make_decl_rtl_for_debug (tree decl)
      numbers off in the comparison dumps.  So... clearing
      flag_strict_aliasing will keep new_alias_set() from creating a
      new set.  */
-  save_aliasing_flag = flag_strict_aliasing;
-  flag_strict_aliasing = 0;
+  save_aliasing_flag = GCC_OPTION (flag_strict_aliasing);
+  GCC_OPTION (flag_strict_aliasing) = 0;
 
   rtl = DECL_RTL (decl);
   /* Reset DECL_RTL back, as various parts of the compiler expects
      DECL_RTL set meaning it is actually going to be output.  */
   SET_DECL_RTL (decl, NULL);
 
-  flag_strict_aliasing = save_aliasing_flag;
+  GCC_OPTION (flag_strict_aliasing) = save_aliasing_flag;
   return rtl;
 }
 
@@ -1550,7 +1550,7 @@ notice_global_symbol (tree decl)
 
   /* We win when global object is found, but it is useful to know about weak
      symbol as well so we can produce nicer unique names.  */
-  if (DECL_WEAK (decl) || DECL_ONE_ONLY (decl) || flag_shlib)
+  if (DECL_WEAK (decl) || DECL_ONE_ONLY (decl) || GCC_OPTION (flag_shlib))
     type = &weak_global_object_name;
 
   if (!*type)
@@ -1576,7 +1576,7 @@ decide_function_section (tree decl)
 {
   first_function_block_is_cold = false;
 
-  if (flag_reorder_blocks_and_partition)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition))
     /* We will decide in assemble_start_function.  */
     return;
 
@@ -1605,7 +1605,7 @@ assemble_start_function (tree decl, const char *fnname)
   char tmp_label[100];
   bool hot_label_written = false;
 
-  if (flag_reorder_blocks_and_partition)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition))
     {
       ASM_GENERATE_INTERNAL_LABEL (tmp_label, "LHOTB", const_labelno);
       crtl->subsections.hot_section_label = ggc_strdup (tmp_label);
@@ -1637,7 +1637,7 @@ assemble_start_function (tree decl, const char *fnname)
      has both hot and cold sections, because we don't want to re-set
      the alignment when the section switch happens mid-function.  */
 
-  if (flag_reorder_blocks_and_partition)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition))
     {
       first_function_block_is_cold = false;
 
@@ -1664,7 +1664,7 @@ assemble_start_function (tree decl, const char *fnname)
   /* Switch to the correct text section for the start of the function.  */
 
   switch_to_section (function_section (decl));
-  if (flag_reorder_blocks_and_partition
+  if (GCC_OPTION (flag_reorder_blocks_and_partition)
       && !hot_label_written)
     ASM_OUTPUT_LABEL (asm_out_file, crtl->subsections.hot_section_label);
 
@@ -1684,7 +1684,7 @@ assemble_start_function (tree decl, const char *fnname)
     {
 #ifdef ASM_OUTPUT_MAX_SKIP_ALIGN
       ASM_OUTPUT_MAX_SKIP_ALIGN (asm_out_file,
-				 align_functions_log, align_functions - 1);
+				 align_functions_log, GCC_OPTION (align_functions) - 1);
 #else
       ASM_OUTPUT_ALIGN (asm_out_file, align_functions_log);
 #endif
@@ -1731,7 +1731,7 @@ assemble_end_function (tree decl, const char *fnname ATTRIBUTE_UNUSED)
 {
 #ifdef ASM_DECLARE_FUNCTION_SIZE
   /* We could have switched section in the middle of the function.  */
-  if (flag_reorder_blocks_and_partition)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition))
     switch_to_section (function_section (decl));
   ASM_DECLARE_FUNCTION_SIZE (asm_out_file, fnname, decl);
 #endif
@@ -1742,7 +1742,7 @@ assemble_end_function (tree decl, const char *fnname ATTRIBUTE_UNUSED)
     }
   /* Output labels for end of hot/cold text sections (to be used by
      debug info.)  */
-  if (flag_reorder_blocks_and_partition)
+  if (GCC_OPTION (flag_reorder_blocks_and_partition))
     {
       section *save_text_section;
 
@@ -1764,7 +1764,7 @@ void
 assemble_zeros (unsigned HOST_WIDE_INT size)
 {
   /* Do no output if -fsyntax-only.  */
-  if (flag_syntax_only)
+  if (GCC_OPTION (flag_syntax_only))
     return;
 
 #ifdef ASM_NO_SKIP_IN_TEXT
@@ -1906,7 +1906,7 @@ assemble_noswitch_variable (tree decl, const char *name, section *sect,
   size = tree_to_uhwi (DECL_SIZE_UNIT (decl));
   rounded = size;
 
-  if ((flag_sanitize & SANITIZE_ADDRESS) && asan_protect_global (decl))
+  if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS) && asan_protect_global (decl))
     size += asan_red_zone_size (size);
 
   /* Don't allocate zero bytes of common,
@@ -2031,7 +2031,7 @@ assemble_variable (tree decl, int top_level ATTRIBUTE_UNUSED,
   TREE_ASM_WRITTEN (decl) = 1;
 
   /* Do no output if -fsyntax-only.  */
-  if (flag_syntax_only)
+  if (GCC_OPTION (flag_syntax_only))
     return;
 
   if (! dont_output_data
@@ -2065,7 +2065,7 @@ assemble_variable (tree decl, int top_level ATTRIBUTE_UNUSED,
 
   align_variable (decl, dont_output_data);
 
-  if ((flag_sanitize & SANITIZE_ADDRESS)
+  if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
       && asan_protect_global (decl))
     {
       asan_protected = true;
@@ -3315,7 +3315,7 @@ maybe_output_constant_def_contents (struct constant_descriptor_tree *desc,
   rtx symbol = XEXP (desc->rtl, 0);
   tree exp = desc->value;
 
-  if (flag_syntax_only)
+  if (GCC_OPTION (flag_syntax_only))
     return;
 
   if (TREE_ASM_WRITTEN (exp))
@@ -3374,7 +3374,7 @@ output_constant_def_contents (rtx symbol)
   /* We are no longer deferring this constant.  */
   TREE_ASM_WRITTEN (decl) = TREE_ASM_WRITTEN (exp) = 1;
 
-  if ((flag_sanitize & SANITIZE_ADDRESS)
+  if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
       && TREE_CODE (exp) == STRING_CST
       && asan_protect_global (exp))
     {
@@ -4608,7 +4608,7 @@ output_constant (tree exp, unsigned HOST_WIDE_INT size, unsigned int align)
   enum tree_code code;
   unsigned HOST_WIDE_INT thissize;
 
-  if (size == 0 || flag_syntax_only)
+  if (size == 0 || GCC_OPTION (flag_syntax_only))
     return size;
 
   /* See if we're trying to initialize a pointer in a non-default mode
@@ -5204,7 +5204,7 @@ output_constructor (tree exp, unsigned HOST_WIDE_INT size,
       else if (TREE_CODE (local.type) == ARRAY_TYPE)
 	local.index = ce->index;
 
-      if (local.field && flag_verbose_asm)
+      if (local.field && GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "%s %s:\n",
 		 ASM_COMMENT_START,
 		 DECL_NAME (local.field)
@@ -6029,7 +6029,7 @@ decl_default_tls_model (const_tree decl)
   bool is_local;
 
   is_local = targetm.binds_local_p (decl);
-  if (!flag_shlib)
+  if (!GCC_OPTION (flag_shlib))
     {
       if (is_local)
 	kind = TLS_MODEL_LOCAL_EXEC;
@@ -6039,12 +6039,12 @@ decl_default_tls_model (const_tree decl)
 
   /* Local dynamic is inefficient when we're not combining the
      parts of the address.  */
-  else if (optimize && is_local)
+  else if (GCC_OPTION (optimize) && is_local)
     kind = TLS_MODEL_LOCAL_DYNAMIC;
   else
     kind = TLS_MODEL_GLOBAL_DYNAMIC;
-  if (kind < flag_tls_default)
-    kind = flag_tls_default;
+  if (kind < GCC_OPTION (flag_tls_default))
+    kind = GCC_OPTION (flag_tls_default);
 
   return kind;
 }
@@ -6266,7 +6266,7 @@ default_select_section (tree decl, int reloc,
     }
   else if (TREE_CODE (decl) == CONSTRUCTOR)
     {
-      if (! ((flag_pic && reloc)
+      if (! ((GCC_OPTION (flag_pic) && reloc)
 	     || !TREE_READONLY (decl)
 	     || TREE_SIDE_EFFECTS (decl)
 	     || !TREE_CONSTANT (decl)))
@@ -6274,7 +6274,7 @@ default_select_section (tree decl, int reloc,
     }
   else if (TREE_CODE (decl) == STRING_CST)
     return readonly_data_section;
-  else if (! (flag_pic && reloc))
+  else if (! (GCC_OPTION (flag_pic) && reloc))
     return readonly_data_section;
 
   return data_section;
@@ -6289,7 +6289,7 @@ categorize_decl_for_section (const_tree decl, int reloc)
     return SECCAT_TEXT;
   else if (TREE_CODE (decl) == STRING_CST)
     {
-      if ((flag_sanitize & SANITIZE_ADDRESS)
+      if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 	  && asan_protect_global (CONST_CAST_TREE (decl)))
       /* or !flag_merge_constants */
         return SECCAT_RODATA;
@@ -6315,8 +6315,8 @@ categorize_decl_for_section (const_tree decl, int reloc)
 	}
       else if (reloc & targetm.asm_out.reloc_rw_mask ())
 	ret = reloc == 1 ? SECCAT_DATA_REL_RO_LOCAL : SECCAT_DATA_REL_RO;
-      else if (reloc || flag_merge_constants < 2
-	       || ((flag_sanitize & SANITIZE_ADDRESS)
+      else if (reloc || GCC_OPTION (flag_merge_constants) < 2
+	       || ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 		   && asan_protect_global (CONST_CAST_TREE (decl))))
 	/* C and C++ don't allow different variables to share the same
 	   location.  -fmerge-all-constants allows even that (at the
@@ -6345,7 +6345,7 @@ categorize_decl_for_section (const_tree decl, int reloc)
       /* Note that this would be *just* SECCAT_BSS, except that there's
 	 no concept of a read-only thread-local-data section.  */
       if (ret == SECCAT_BSS
-	       || (flag_zero_initialized_in_bss
+	       || (GCC_OPTION (flag_zero_initialized_in_bss)
 		   && initializer_zerop (DECL_INITIAL (decl))))
 	ret = SECCAT_TBSS;
       else
@@ -6721,7 +6721,7 @@ resolution_local_p (enum ld_plugin_symbol_resolution resolution)
 bool
 default_binds_local_p (const_tree exp)
 {
-  return default_binds_local_p_1 (exp, flag_shlib);
+  return default_binds_local_p_1 (exp, GCC_OPTION (flag_shlib));
 }
 
 bool
@@ -6958,11 +6958,11 @@ void
 default_file_start (void)
 {
   if (targetm.asm_file_start_app_off
-      && !(flag_verbose_asm || flag_debug_asm || flag_dump_rtl_in_asm))
+      && !(GCC_OPTION (flag_verbose_asm) || GCC_OPTION (flag_debug_asm) || GCC_OPTION (flag_dump_rtl_in_asm)))
     fputs (ASM_APP_OFF, asm_out_file);
 
   if (targetm.asm_file_start_file_directive)
-    output_file_directive (asm_out_file, main_input_filename);
+    output_file_directive (asm_out_file, GCC_OPTION (main_input_filename));
 }
 
 /* This is a generic routine suitable for use as TARGET_ASM_FILE_END
@@ -6994,7 +6994,7 @@ file_end_indicate_exec_stack (void)
 void
 file_end_indicate_split_stack (void)
 {
-  if (flag_split_stack)
+  if (GCC_OPTION (flag_split_stack))
     {
       switch_to_section (get_section (".note.GNU-split-stack", SECTION_DEBUG,
 				      NULL));
@@ -7075,7 +7075,7 @@ place_block_symbol (rtx symbol)
       decl = SYMBOL_REF_DECL (symbol);
       alignment = DECL_ALIGN (decl);
       size = get_constant_size (DECL_INITIAL (decl));
-      if ((flag_sanitize & SANITIZE_ADDRESS)
+      if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 	  && TREE_CODE (DECL_INITIAL (decl)) == STRING_CST
 	  && asan_protect_global (DECL_INITIAL (decl)))
 	size += asan_red_zone_size (size);
@@ -7085,7 +7085,7 @@ place_block_symbol (rtx symbol)
       decl = SYMBOL_REF_DECL (symbol);
       alignment = get_variable_align (decl);
       size = tree_to_uhwi (DECL_SIZE_UNIT (decl));
-      if ((flag_sanitize & SANITIZE_ADDRESS)
+      if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 	  && asan_protect_global (decl))
 	{
 	  size += asan_red_zone_size (size);
@@ -7236,7 +7236,7 @@ output_object_block (struct object_block *block)
 				      DECL_ALIGN (decl));
 	  size = get_constant_size (DECL_INITIAL (decl));
 	  offset += size;
-	  if ((flag_sanitize & SANITIZE_ADDRESS)
+	  if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 	      && TREE_CODE (DECL_INITIAL (decl)) == STRING_CST
 	      && asan_protect_global (DECL_INITIAL (decl)))
 	    {
@@ -7252,7 +7252,7 @@ output_object_block (struct object_block *block)
 	  assemble_variable_contents (decl, XSTR (symbol, 0), false);
 	  size = tree_to_uhwi (DECL_SIZE_UNIT (decl));
 	  offset += size;
-	  if ((flag_sanitize & SANITIZE_ADDRESS)
+	  if ((GCC_OPTION (flag_sanitize) & SANITIZE_ADDRESS)
 	      && asan_protect_global (decl))
 	    {
 	      size = asan_red_zone_size (size);
diff --git a/gcc/varpool.c b/gcc/varpool.c
index acb5221..e76cacd 100644
--- a/gcc/varpool.c
+++ b/gcc/varpool.c
@@ -182,7 +182,7 @@ varpool_remove_initializer (varpool_node *node)
       /* Keep vtables for BINFO folding.  */
       && !DECL_VIRTUAL_P (node->decl)
       /* FIXME: http://gcc.gnu.org/PR55395 */
-      && debug_info_level == DINFO_LEVEL_NONE
+      && GCC_OPTION (debug_info_level) == DINFO_LEVEL_NONE
       /* When doing declaration merging we have duplicate
 	 entries for given decl.  Do not attempt to remove
 	 the boides, or we will end up remiving
@@ -386,7 +386,7 @@ varpool_analyze_node (varpool_node *node)
      We however don't want to re-analyze already analyzed nodes.  */
   if (!node->analyzed)
     {
-      gcc_assert (!in_lto_p || cgraph_function_flags_ready);
+      gcc_assert (!GCC_OPTION (in_lto_p) || cgraph_function_flags_ready);
       /* Compute the alignment early so function body expanders are
 	 already informed about increased alignment.  */
       align_variable (decl, 0);
diff --git a/gcc/vmsdbgout.c b/gcc/vmsdbgout.c
index 3ee44bf..27b3a54 100644
--- a/gcc/vmsdbgout.c
+++ b/gcc/vmsdbgout.c
@@ -399,14 +399,14 @@ write_debug_header (DST_HEADER *header, const char *comment, int dosizeonly)
       ASM_OUTPUT_DEBUG_DATA2 (asm_out_file,
 			      header->dst__header_length.dst_w_length);
 
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s record length", ASM_COMMENT_START);
       fputc ('\n', asm_out_file);
 
       ASM_OUTPUT_DEBUG_DATA2 (asm_out_file,
 			      header->dst__header_type.dst_w_type);
 
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s record type (%s)", ASM_COMMENT_START,
 		 comment);
 
@@ -426,7 +426,7 @@ write_debug_addr (const char *symbol, const char *comment, int dosizeonly)
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_ADDR (asm_out_file, symbol);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -444,7 +444,7 @@ write_debug_data1 (unsigned int data1, const char *comment, int dosizeonly)
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_DATA1 (asm_out_file, data1);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -462,7 +462,7 @@ write_debug_data2 (unsigned int data2, const char *comment, int dosizeonly)
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_DATA2 (asm_out_file, data2);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -479,7 +479,7 @@ write_debug_data4 (unsigned long data4, const char *comment, int dosizeonly)
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_DATA4 (asm_out_file, data4);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -497,7 +497,7 @@ write_debug_data8 (unsigned long long data8, const char *comment,
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_DATA8 (asm_out_file, data8);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -516,7 +516,7 @@ write_debug_delta4 (const char *label1, const char *label2,
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_DELTA4 (asm_out_file, label1, label2);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -534,7 +534,7 @@ write_debug_string (const char *string, const char *comment, int dosizeonly)
   if (!dosizeonly)
     {
       ASM_OUTPUT_DEBUG_STRING (asm_out_file, string);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s %s", ASM_COMMENT_START, comment);
       fputc ('\n', asm_out_file);
     }
@@ -700,7 +700,7 @@ write_rtnbeg (int rtnnum, int dosizeonly)
 
   free (rtnentryname);
 
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     {
       prolog.dst_a_prolog_header.dst__header_length.dst_w_length
 	= DST_K_PROLOG_SIZE - 1;
@@ -809,7 +809,7 @@ write_pclines (int dosizeonly)
   else
     {
       ASM_OUTPUT_DEBUG_ADDR (asm_out_file, TEXT_SECTION_ASM_OP);
-      if (flag_verbose_asm)
+      if (GCC_OPTION (flag_verbose_asm))
 	fprintf (asm_out_file, "\t%s line_num", ASM_COMMENT_START);
       fputc ('\n', asm_out_file);
     }
@@ -1112,10 +1112,10 @@ vmsdbgout_begin_prologue (unsigned int line, const char *file)
 {
   char label[MAX_ARTIFICIAL_LABEL_BYTES];
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.begin_prologue) (line, file);
 
-  if (debug_info_level > DINFO_LEVEL_NONE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_NONE)
     {
       ASM_GENERATE_INTERNAL_LABEL (label, FUNC_BEGIN_LABEL,
 				   current_function_funcdef_no);
@@ -1131,10 +1131,10 @@ vmsdbgout_end_prologue (unsigned int line, const char *file)
 {
   char label[MAX_ARTIFICIAL_LABEL_BYTES];
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.end_prologue) (line, file);
 
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     {
       ASM_GENERATE_INTERNAL_LABEL (label, FUNC_PROLOG_LABEL,
 				   current_function_funcdef_no);
@@ -1150,7 +1150,7 @@ vmsdbgout_end_prologue (unsigned int line, const char *file)
 static void
 vmsdbgout_end_function (unsigned int line)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.end_function) (line);
 }
 
@@ -1163,10 +1163,10 @@ vmsdbgout_begin_epilogue (unsigned int line, const char *file)
   char label[MAX_ARTIFICIAL_LABEL_BYTES];
   static int save_current_function_funcdef_no = -1;
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.begin_epilogue) (line, file);
 
-  if (debug_info_level > DINFO_LEVEL_NONE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_NONE)
     {
       if (save_current_function_funcdef_no != current_function_funcdef_no)
 	{
@@ -1195,10 +1195,10 @@ vmsdbgout_end_epilogue (unsigned int line, const char *file)
 {
   char label[MAX_ARTIFICIAL_LABEL_BYTES];
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.end_epilogue) (line, file);
 
-  if (debug_info_level > DINFO_LEVEL_NONE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_NONE)
     {
       /* Output a label to mark the endpoint of the code generated for this
          function.  */
@@ -1217,10 +1217,10 @@ vmsdbgout_end_epilogue (unsigned int line, const char *file)
 static void
 vmsdbgout_begin_block (register unsigned line, register unsigned blocknum)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.begin_block) (line, blocknum);
 
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     targetm.asm_out.internal_label (asm_out_file, BLOCK_BEGIN_LABEL, blocknum);
 }
 
@@ -1230,10 +1230,10 @@ vmsdbgout_begin_block (register unsigned line, register unsigned blocknum)
 static void
 vmsdbgout_end_block (register unsigned line, register unsigned blocknum)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.end_block) (line, blocknum);
 
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     targetm.asm_out.internal_label (asm_out_file, BLOCK_END_LABEL, blocknum);
 }
 
@@ -1244,7 +1244,7 @@ vmsdbgout_ignore_block (const_tree block)
 {
   bool retval = 0;
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     retval = (*dwarf2_debug_hooks.ignore_block) (block);
 
   return retval;
@@ -1257,7 +1257,7 @@ vmsdbgout_begin_function (tree decl)
 {
   const char *name = XSTR (XEXP (DECL_RTL (decl), 0), 0);
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.begin_function) (decl);
 
   /* Add the new entry to the end of the function name table.  */
@@ -1394,10 +1394,10 @@ static void
 vmsdbgout_source_line (register unsigned line, register const char *filename,
                        int discriminator, bool is_stmt)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.source_line) (line, filename, discriminator, is_stmt);
 
-  if (debug_info_level >= DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_TERSE)
     vmsdbgout_write_source_line (line, filename, discriminator, is_stmt);
 }
 
@@ -1407,7 +1407,7 @@ vmsdbgout_source_line (register unsigned line, register const char *filename,
 static void
 vmsdbgout_start_source_file (unsigned int lineno, const char *filename)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.start_source_file) (lineno, filename);
 }
 
@@ -1417,7 +1417,7 @@ vmsdbgout_start_source_file (unsigned int lineno, const char *filename)
 static void
 vmsdbgout_end_source_file (unsigned int lineno ATTRIBUTE_UNUSED)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.end_source_file) (lineno);
 }
 
@@ -1428,10 +1428,10 @@ vmsdbgout_init (const char *filename)
 {
   const char *language_string = lang_hooks.name;
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.init) (filename);
 
-  if (debug_info_level == DINFO_LEVEL_NONE)
+  if (GCC_OPTION (debug_info_level) == DINFO_LEVEL_NONE)
     return;
 
   /* Remember the name of the primary input file.  */
@@ -1476,7 +1476,7 @@ vmsdbgout_init (const char *filename)
 static void
 vmsdbgout_assembly_start (void)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.assembly_start) ();
 }
 
@@ -1485,7 +1485,7 @@ vmsdbgout_assembly_start (void)
 static void
 vmsdbgout_define (unsigned int lineno, const char *buffer)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.define) (lineno, buffer);
 }
 
@@ -1494,7 +1494,7 @@ vmsdbgout_define (unsigned int lineno, const char *buffer)
 static void
 vmsdbgout_undef (unsigned int lineno, const char *buffer)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.undef) (lineno, buffer);
 }
 
@@ -1503,7 +1503,7 @@ vmsdbgout_undef (unsigned int lineno, const char *buffer)
 static void
 vmsdbgout_decl (tree decl)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.function_decl) (decl);
 }
 
@@ -1512,7 +1512,7 @@ vmsdbgout_decl (tree decl)
 static void
 vmsdbgout_global_decl (tree decl)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.global_decl) (decl);
 }
 
@@ -1521,7 +1521,7 @@ vmsdbgout_global_decl (tree decl)
 static void
 vmsdbgout_type_decl (tree decl, int local)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.type_decl) (decl, local);
 }
 
@@ -1530,7 +1530,7 @@ vmsdbgout_type_decl (tree decl, int local)
 static void
 vmsdbgout_abstract_function (tree decl)
 {
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.outlining_inline_function) (decl);
 }
 
@@ -1543,10 +1543,10 @@ vmsdbgout_finish (const char *filename ATTRIBUTE_UNUSED)
   unsigned int i, ifunc;
   int totsize;
 
-  if (write_symbols == VMS_AND_DWARF2_DEBUG)
+  if (GCC_OPTION (write_symbols) == VMS_AND_DWARF2_DEBUG)
     (*dwarf2_debug_hooks.finish) (filename);
 
-  if (debug_info_level == DINFO_LEVEL_NONE)
+  if (GCC_OPTION (debug_info_level) == DINFO_LEVEL_NONE)
     return;
 
   /* Output a terminator label for the .text section.  */
@@ -1575,7 +1575,7 @@ vmsdbgout_finish (const char *filename ATTRIBUTE_UNUSED)
     }
   write_pclines (0);
 
-  if (debug_info_level > DINFO_LEVEL_TERSE)
+  if (GCC_OPTION (debug_info_level) > DINFO_LEVEL_TERSE)
     {
       totsize = write_srccorrs (1);
       write_srccorrs (0);
diff --git a/gcc/vtable-verify.c b/gcc/vtable-verify.c
index 4e4c21a..60b51b2 100644
--- a/gcc/vtable-verify.c
+++ b/gcc/vtable-verify.c
@@ -653,7 +653,7 @@ verify_bb_vtables (basic_block bb)
 
                   /* Call different routines if we are interested in
                      trace information to debug problems.  */
-                  if (flag_vtv_debug)
+                  if (GCC_OPTION (flag_vtv_debug))
                     {
                       int len1 = IDENTIFIER_LENGTH
                                                  (DECL_NAME (vtbl_var_decl));
@@ -745,7 +745,7 @@ vtable_verify_main (void)
 static bool
 gate_tree_vtable_verify (void)
 {
-  return (flag_vtable_verify);
+  return (GCC_OPTION (flag_vtable_verify));
 }
 
 /* Definition of this optimization pass.  */
diff --git a/gcc/web.c b/gcc/web.c
index d67151c..7a8fddc 100644
--- a/gcc/web.c
+++ b/gcc/web.c
@@ -328,7 +328,7 @@ replace_ref (df_ref ref, rtx reg)
 static bool
 gate_handle_web (void)
 {
-  return (optimize > 0 && flag_web);
+  return (GCC_OPTION (optimize) > 0 && GCC_OPTION (flag_web));
 }
 
 /* Main entry point.  */
diff --git a/gcc/xcoffout.c b/gcc/xcoffout.c
index 77589aa..d072790 100644
--- a/gcc/xcoffout.c
+++ b/gcc/xcoffout.c
@@ -104,7 +104,7 @@ const char *xcoff_lastfile;
     }						\
   xcoff_current_function_file			\
     = (xcoff_current_include_file		\
-       ? xcoff_current_include_file : main_input_filename); \
+       ? xcoff_current_include_file : GCC_OPTION (main_input_filename)); \
 }
 
 #define ASM_OUTPUT_LFE(FILE,LINENUM)		\
@@ -316,7 +316,7 @@ xcoffout_source_file (FILE *file, const char *filename, int inline_p)
 	  xcoff_current_include_file = NULL;
 	}
       xcoff_inlining = inline_p;
-      if (strcmp (main_input_filename, filename) || inline_p)
+      if (strcmp (GCC_OPTION (main_input_filename), filename) || inline_p)
 	{
 	  fprintf (file, "\t.bi\t");
 	  output_quoted_string (file, remap_debug_filename (filename));
@@ -361,7 +361,7 @@ xcoffout_block (tree block, int depth, tree args)
 	  if (BLOCK_NUMBER (block) == do_block)
 	    {
 	      /* Output the syms of the block.  */
-	      if (debug_info_level != DINFO_LEVEL_TERSE || depth == 0)
+	      if (GCC_OPTION (debug_info_level) != DINFO_LEVEL_TERSE || depth == 0)
 		dbxout_syms (BLOCK_VARS (block));
 	      if (args)
 		dbxout_reg_parms (args);
-- 
1.8.5.3

